Firefox Temporary Containers

Firefox 56.x/57.x e il nuovo standard per le estensioni

Con la procedura automatica di aggiornamento a Firefox 57.x si completa la transizione verso lo standard WebExtension. E addio agli script eseguibili con Greasemonkey 3.x. L'alternativa? Passare alla versione 4.x o a Tampermonkey.

0
1301

A dicembre scorso ho notato che alcuni strani cambiamenti si sono verificati nel mio computer, in particolare per quanto riguarda il browser Firefox che uso per navigare in Internet. Come prima cosa ho notato che, nelle informazioni, il browser risulta ora essere a 64 bit mentre in precedenza credo si trattasse di un eseguibile a 32 bit. Inoltre quasi tutte le estensioni che avevo installato al suo interno sono state cancellate e, provando a reinstallarle tramite l’apposito menu, non sono più disponibili sul sito degli Addon. In particolare non è più disponibile Greasemonkey, piccola estensione che utilizzavo per eseguire gli script che mi consentivano di scaricare i video da YouTube e da altri siti. La situazione che si sta verificando sul mio computer è normale? Oppure è conseguenza di qualche aggiornamento e/o operazione sbagliata?
Alessandro Terminelli, via internet

Quanto riscontrato dal nostro lettore si è verificato nel momento in cui Mozilla Foundation ha rilasciato la versione 56.x di Firefox. Con questa versione è iniziata una transizione che si è poi concretizzata con la versione successiva (57.x). Lo scopo che si prefiggevano gli sviluppatori di Firefox era di eliminare il supporto per tutte le estensioni Xul overlay, bootstrapped, Sdk ed Embedded per passare allo standard WebExtension, condiviso con il browser Chrome di Google.

In contemporanea alla dismissione delle estensioni, gli sviluppatori hanno eseguito il passaggio dalla versione a 32 bit a quella a 64 bit su tutte le piattaforme in grado di supportarla. Infatti la principale motivazione per mantenere il browser a 32 bit sui computer dotati di sistema operativo a 64 bit era la migliore compatibilità con estensioni e plug-in legacy. Una volta eliminato il supporto a questi componenti non aveva più senso posticipare ulteriormente l’adozione della versione a 64 bit.

Purtroppo, con la procedura automatica di aggiornamento, molti utenti si sono trovati da un momento all’altro a non poter più utilizzare alcune funzioni disponibili in precedenza e, nonostante tutta la procedura abbia una sua logica, sarebbe stato preferibile spiegare all’utente quanto stava per accadere invece di metterlo di fronte al fatto compiuto.

Come evidenziato dal nostro lettore, anche Greasemonkey è stato vittima della transizione a WebExtension. La versione precedente di questo software non può più essere utilizzata e installata con il nuovo browser di Mozilla. Fortunatamente gli sviluppatori hanno approntato una nuova versione di Greasemonkey, la 4.x, che è ora disponibile e rende nuovamente possibile l’utilizzo degli script creati per questo framework.

Il passaggio dalla versione 3.x alla 4.x ha però richiesto una totale riscrittura del software ed è quindi possibile che alcuni script che funzionavano senza problemi in precedenza debbano ora essere modificati per renderli utilizzabili in abbinamento al nuovo Greasemonkey.

La versione 4.x di Greasemonkey è disponibile mediante lo stesso link utilizzato in precedenza. Sarà sufficiente collegarsi a https://addons.mozilla.org/en-US/firefox/addon/greasemonkey/ e premere il bottone per aggiungerlo a Firefox. Ciò dovrebbe far ricomparire automaticamente anche gli script installati in precedenza ma se così non fosse, provvedete a scaricarli di nuovo.

GreaseMonkey 4.x
Gli sviluppatori di Greasemonkey hanno rilasciato la versione 4.x che è conforme alle nuove linee guida della Mozilla Foundation. È ora possibile reinstallare questa estensione mediante il sito dedicato agli Addon di Firefox.

Nel caso in cui si riscontrassero incompatibilità tra gli script e Greasemonkey 4.x, alcuni utenti hanno segnalato che il framework “gemello” Tampermonkey, in origine sviluppato per Chrome ma ora utilizzabile anche con Firefox, a volte offre una migliore interoperabilità. Potete quindi tentare di risolvere il problema rimuovendo Greasemonkey 4.x e installando l’ultima versione di Tampermonkey. Se anche questo accorgimento non elimina il problema sarà necessario contattare lo sviluppatore dello script e verificare se sia previsto il rilascio di una versione conforme ai nuovi requisiti tecnici.

(tratto dalla Rubrica POSTA del numero 323 di PC Professionale, vi ricordiamo che per questioni di tipo tecnico o comunque legate al funzionamento o al malfunzionamento di hardware o software potete scrivere all’indirizzo di posta elettronica: [email protected]
Compatibilmente con la natura del problema cercheremo di rispondere sulle pagine del giornale. Non vengono fornite risposte dirette via mail.)

PCProfessionale © riproduzione riservata.